CA20101231-01: Security Notice for CA ARCserve D2D (updated)

CA20101231-01: Security Notice for CA ARCserve D2D

Issued: December 31, 2010
Last Updated: January 26, 2011

CA Technologies support is alerting customers to a security risk with
CA ARCserve D2D. A vulnerability exists that can allow a remote
attacker to execute arbitrary code. CA has issued an Information
Solution to address the vulnerability.

The vulnerability is due to default vulnerabilities inherent in the
Tomcat and Axis2 3rd party software components. A remote attacker can
exploit the implementation to execute arbitrary code.

Risk Rating




Affected Products

CA ARCserve D2D r15

How to determine if the installation is affected

Using Windows Explorer, go to the directory
"<D2D_HOME>\TOMCAT\webapps\WebServiceImpl", and look for the existence
of a folder called "axis2-web".


CA has issued the following patch to address the vulnerability.

CA ARCserve D2D r15:

If you are not able to apply the patch at this time, the following
workaround can be implemented to address the vulnerability.

1. Stop "CA ARCserve D2D Web Service" from service control manager.

2. Go to the directory "<D2D_HOME>\TOMCAT\webapps\WebServiceImpl",
and remove the folder "axis2-web".

3. Edit "<D2D_HOME>\TOMCAT\webapps\WebServiceImpl\WEB-INF\web.xml",
and remove the content of AxisAdminServlet's servlet and servlet

The content to remove will look like the text below:

- <servlet>
<display-name>Apache-Axis Admin Servlet Web Admin</display-\
- <servlet-mapping>

4. Change the username and password parameters in the axis2.xml file
to stronger credentials that conform to your organization's
password policies.

<parameter name="userName">admin</parameter>
<parameter name="password">axis2</parameter>

5. Start "CA ARCserve D2D Web Service".


CVE-201X-XXXX - CVE Reference Pending

CA ARCserve D2D r15 Web Service Apache Axis2 World Accessible Servlet
Code Execution Vulnerability Poc Dec 30 2010 11:04AM

Computer Associates ARCserve D2D r15 Web Service Apache Axis2 World
Accessible Servlet Code Execution Vulnerability Poc



Change History

Version 1.0: Initial Release
Version 2.0: Added patch information

If additional information is required, please contact CA Technologies
Support at

If you discover a vulnerability in a CA Technologies product, please
report your findings to the CA Technologies Product Vulnerability
Response Team.

Thanks and regards,
Ken Williams, Director
ca technologies Product Vulnerability Response Team
ca technologies Business Unit Operations

Relevant Pages